#ifndef image_h
#define image_h

#include <cv.h>

struct Tpixel
{
	unsigned char B;
	unsigned char G;
	unsigned char R;
};

CvPoint2D32f applyAffine(const CvMat * xform, CvPoint2D32f pt);

bool BilinearInterp(const float x, const float y, const IplImage * img, Tpixel * pix);

void QuadWarp(const CvPoint2D32f * pts, int extraX, const IplImage * srcImg, IplImage * dstImg);


void ShowImage(const IplImage * im,const char * name = "blah");

void WeightedBlit(IplImage* src, IplImage* weightSrc, 
				  IplImage* dst, IplImage* weightDst, CvPoint2D32f pos);

void TransposeIm(IplImage** im);
void MirrorIm(IplImage** im, bool vertical);
IplImage* CloneUpsidedownImage(IplImage* im);

void WarpIm(const IplImage * im,const CvMat * mat, IplImage * result);

#endif
